// Test.java
import java.io.*;

public class Test {
    public static void main(String[] args) throws Exception {
        String text = args[0];
        System.out.println("input: " + text);
        
        ExpressionParser.LexicalAnalyzer a
            = new ExpressionParser.Default.LexicalAnalyzer("test", text, 8);
        for (;;) {
            ExpressionParser.Token token = a.next();
            if (token.getSymbolID() == ExpressionParser.EOF_TOKEN)
                break;
            System.out.println(token.getImage());
        }
    }
}
