
package jp.gr.java_conf.koto.util;

import java.util.*;

public abstract class AbstractListIterator extends AbstractIterator implements ListIterator {
    public abstract boolean hasNext();
    public abstract Object next() throws NoSuchElementException;
    public abstract boolean hasPrevious();
    public abstract Object previous() throws NoSuchElementException;
    
    public abstract int nextIndex();
    
    public int previousIndex() {
        return nextIndex() - 1;
    }
    
    public void set(Object o) {
        throw new UnsupportedOperationException();
    }
    public void add(Object o) {
        throw new UnsupportedOperationException();
    }
    
}

