
import java.util.*;
import java.io.*;
import junit.framework.*;
import parser.*;
import parser.AmbiguousSyntax2.*;

public class Ambiguous2_Test extends TestCase {
    public static void main(String[] args) {
        junit.textui.TestRunner.main(new String[] { Ambiguous2_Test.class.getName() });
    }
    
    public Ambiguous2_Test(String name) {
        super(name);
    }
    
    private StringBuffer input = new StringBuffer("xx");
    
    public void test1() throws IOException, ParseException {
        try {
            Node output = new AmbiguousSyntax2().parseTest1("test", input, 8);
            System.out.println(output);
            fail();
        } catch (ParseException.AmbiguousGrammarError x) {
        }
    }
    public void test2() throws IOException, ParseException {
        try {
            Node output = new AmbiguousSyntax2().parseTest2("test", input, 8);
            System.out.println(output);
            fail();
        } catch (ParseException.AmbiguousGrammarError x) {
        }
    }
}
